org.apache.tomcat.jdbc.pool

## Class ConnectionPool.PoolCleaner

- java.lang.Object
- - java.util.TimerTask
  - - org.apache.tomcat.jdbc.pool.ConnectionPool.PoolCleaner

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    ConnectionPool

      protected static class ConnectionPool.PoolCleaner
      extends TimerTask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WeakReference<ConnectionPool>` | `pool`
    `protected long` | `sleepTime`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `void` | `start()`
    `void` | `stopRunning()`

    - ### Methods inherited from class java.util.TimerTask

      `cancel, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pool

          protected WeakReference<ConnectionPool> pool

    - #### sleepTime

          protected long sleepTime

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Specified by:
        `run` in class `TimerTask`

    - #### start

          public void start()

    - #### stopRunning

          public void stopRunning()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.